<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
ShowDlg Method (IEdmBatchChangeState)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBatchChangeState Interface : ShowDlg Method (IEdmBatchChangeState)

Visual Basic
C#
C++/CLI

lParentWnd
  Parent window handle for the dialog box

Shows the change state or revoke transition dialog box.

# Syntax

Visual Basic |
--- | ---

    Function ShowDlg( _
       ByVal lParentWnd As System.Integer _
    ) As System.Boolean

C# |
--- | ---

    System.bool ShowDlg(
       System.int lParentWnd
    )

C++/CLI |
--- | ---

    System.bool ShowDlg(
    &   System.int lParentWnd
    )

#### Parameters

lParentWnd
  Parent window handle for the dialog box

#### Return Value

True if the user clicked OK, false if the user clicked Cancel

# Example

See the IEdmBatchChangeState4 examples.

# Remarks

Before calling this method, you must call IEdmBatchChangeState::CreateTree if changing states or IEdmBatchChangeState2::CreateTreeForRevoke if revoking transitions.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmBatchChangeState Interface
IEdmBatchChangeState Members

# Availability

SOLIDWORKS PDM Professional 2009; for the revoke transition dialog, SOLIDWORKS PDM Professional 2013